All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.remotefileselector2
Interface RemoteFileActionTypeKeysInterface

All Known Implementing Classes:
  BaseRemoteFileSelectorSupport, HttpRemoteFileActionStrategyFactory, HttpRemoteFileSelectorSupport

    public interface RemoteFileActionTypeKeysInterface

Field Summary
`static java.lang.String` | `ADD_FOLDER_ACTION` The actionType key used to allow adding of new folders.
`static java.lang.String` | `DISPLAY_SEARCH_RESULTS_ACTION` The actionType key used to change to search mode
`static java.lang.String` | `FILTER_TYPE_ACTION`
`static java.lang.String` | `GO_BACK_ACTION`
`static java.lang.String` | `OPEN_FOLDER_ACTION` The actionType key used to define the default drill down action or open folder action for the RemoteFileSelector.
`static java.lang.String` | `START_SEARCH_ACTION` The actionType key used to allow searching.
`static java.lang.String` | `UP_ONE_LEVEL_ACTION` The actionType key used to define the default drill up action or open of parent folder action for the RemoteFileSelector.
`static java.lang.String` | `VIEW_SELECTION_ACTION`

Field Detail

### OPEN_FOLDER_ACTION

    static final java.lang.String OPEN_FOLDER_ACTION

  The actionType key used to define the default drill down action or open folder action for the RemoteFileSelector. By default, this action is associated with the TOOLBAR_AREA and the first column in the "Detail" view of the "DATA_CELL_AREA" for folders.

  See Also:
    Constant Field Values

### UP_ONE_LEVEL_ACTION

    static final java.lang.String UP_ONE_LEVEL_ACTION

  The actionType key used to define the default drill up action or open of parent folder action for the RemoteFileSelector. By default, this action is associated with the TOOLBAR_AREA and the first column in the "Detail" view of the "DATA_CELL_AREA" for folders.

  See Also:
    Constant Field Values

### START_SEARCH_ACTION

    static final java.lang.String START_SEARCH_ACTION

  The actionType key used to allow searching.

  See Also:
    Constant Field Values

### ADD_FOLDER_ACTION

    static final java.lang.String ADD_FOLDER_ACTION

  The actionType key used to allow adding of new folders.

  See Also:
    Constant Field Values

### DISPLAY_SEARCH_RESULTS_ACTION

    static final java.lang.String DISPLAY_SEARCH_RESULTS_ACTION

  The actionType key used to change to search mode

  See Also:
    Constant Field Values

### GO_BACK_ACTION

    static final java.lang.String GO_BACK_ACTION

See Also:
  Constant Field Values

### VIEW_SELECTION_ACTION

    static final java.lang.String VIEW_SELECTION_ACTION

See Also:
  Constant Field Values

### FILTER_TYPE_ACTION

    static final java.lang.String FILTER_TYPE_ACTION

See Also:
  Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.